/************************************************
 * Fakes some functions which XED is using, thus
 * we don't actually link with kernel32.dll or 
 * anything else...
 ************************************************/
#include        <windows.h>
#include        <stdio.h>
#pragma warning(disable:4027)
        
int fprintf( 
   FILE *stream,
   const char *format,
   ...
){
        __debugbreak();
        return 0;
}

void abort(){
        __debugbreak();
        return;
}

errno_t strcat_s(
   char *strDestination,
   size_t numberOfElements,
   const char *strSource 
){
        __debugbreak();
        return 0;
}

FILE *__iob_func(void *whatever, ...){
        __debugbreak();
        return NULL;
}